package cn.fateverse.workflow.enums;

/**
 * 审批人类型枚举
 *
 * @author Clay
 * @date 2023/1/2
 */
public enum AssigneeTypeEnums {

    /**
     * 指定人员
     */
    ASSIGN_USER("ASSIGN_USER"),
    /**
     * 发起人自选
     */
    SELF_SELECT("SELF_SELECT"),
    /**
     * 连续多级主管
     */
    LEADER_TOP("LEADER_TOP"),
    /**
     * 主管
     */
    LEADER("LEADER"),
    /**
     * 角色
     */
    ROLE("ROLE"),
    /**
     * 发起人自己
     */
    SELF("SELF"),
    /**
     * 表单内联系人
     */
    FORM_USER("FORM_USER");

    private String typeName;

    AssigneeTypeEnums(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
}
